For the complete documentation index, see llms.txt. This page is also available as Markdown.

Services Configuration (Operations)

Endpoints to create, update, and read operative service jobs configuration.

Get operative service config

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get operative service config

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
localestring · enumOptional

Provide the localized names and descriptions for operative service configuration. If not provided the default locale is used.

Example: en-USPossible values:
Responses
200

Central Configuration of all Service related operations

application/json

OperativeServiceConfiguration

createdstring · date-timeRequired

The date this entity was created by fulfillmenttools. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
idstring · min: 1Required

ID of the Operative Service Configuration is always operativeservice

Example: operativeservice
lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
get/api/configurations/operativeservice
GET /api/configurations/operativeservice HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "cancelReasons": [
    {
      "cancelReasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "cancelReason": "Broken Item"
    }
  ],
  "created": "2020-02-03T08:45:51.525Z",
  "id": "operativeservice",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Update operative service config

put

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Create or update the operative service configuration.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
localestring · enumOptional

Provide the localized names and descriptions for the operative service configuration. If not provided the default locale is used.

Possible values:
Body

OperativeServiceConfigurationForUpsert

versioninteger · min: 1Required

The version of the document to be used in optimistic locking mechanisms

Example: 42
Responses
200

The operative service configuration was successfully updated.

application/json

OperativeServiceConfiguration

createdstring · date-timeRequired

The date this entity was created by fulfillmenttools. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
idstring · min: 1Required

ID of the Operative Service Configuration is always operativeservice

Example: operativeservice
lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
put/api/configurations/operativeservice
PUT /api/configurations/operativeservice HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "cancelReasons": [
    {
      "cancelReasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "cancelReason": "Broken Item"
    }
  ],
  "version": 42
}
{
  "cancelReasons": [
    {
      "cancelReasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "active": true,
      "cancelReason": "Broken Item"
    }
  ],
  "created": "2020-02-03T08:45:51.525Z",
  "id": "operativeservice",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Last updated

Was this helpful?